KNOWLEDGE BASE
Log In    |    Knowledge Base    |    4D Home
Tech Note: Updating Custom PHP Libraries used by 4D
PRODUCT: 4D | VERSION: 17 | PLATFORM: Mac & Win
Published On: February 28, 2019
Your current browser may not allow you to download the asset. We recommend Mozilla Firefox or Google Chrome.
Log In

In the next R-release of 4D, the version of PHP has been updated to be 7.3 x64 bit. The PHP interpreter included with 4D contains a certain subset of modules and extensions that have been tested by 4D. Adding additional modules or extensions is not supported. So, if the deployment requires a module that is not included by default then the developer will need to build a custom PHP only includes specific modules; adding modules is not supported.

If additional modules or extensions are needed beyond th3e basic set provided within 4D the developer would need to build a custom PHP engine. This documentation would be interesting for our customers who use or want to use a customer PHP engine.

Download Complete Tech Note: Tech Note Document